Package csb :: Package core :: Class Stack

[frames] | no frames]

# Class Stack

source code

    object --+
             |
          list --+
                 |
                Stack

Instance Methods

empty(self) Return True if the stack is empty | source code

peek(self) Return the object at the top of the stack without removing it | source code

push(self, item) Push an item onto the top of the stack | source code

Inherited from `list`: `__add__`, `__contains__`, `__delitem__`, `__delslice__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__gt__`, `__iadd__`, `__imul__`, `__init__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__mul__`, `__ne__`, `__new__`, `__repr__`, `__reversed__`, `__rmul__`, `__setitem__`, `__setslice__`, `__sizeof__`, `append`, `count`, `extend`, `index`, `insert`, `pop`, `remove`, `reverse`, `sort`

Inherited from `object`: `__delattr__`, `__format__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `list`: `__hash__`

Properties
Inherited from `object`: `__class__`